IndexScanCommand (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class IndexScanCommand

    java.lang.Object
      org.apache.cassandra.db.IndexScanCommand

All Implemented Interfaces:
  MessageProducer

    public class IndexScanCommand

extends java.lang.Object
implements MessageProducer

Field Summary
`java.lang.String` | `column_family`
`IndexClause` | `index_clause`
`java.lang.String` | `keyspace`
`SlicePredicate` | `predicate`
`AbstractBounds` | `range`

Constructor Summary
`IndexScanCommand(java.lang.String keyspace, java.lang.String column_family, IndexClause index_clause, SlicePredicate predicate, AbstractBounds range)`

Method Summary
`Message` | `getMessage(java.lang.Integer version)`
`static IndexScanCommand` | `read(Message message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keyspace

    public final java.lang.String keyspace

### column_family

    public final java.lang.String column_family

### index_clause

    public final IndexClause index_clause

### predicate

    public final SlicePredicate predicate

### range

    public final AbstractBounds range

Constructor Detail

### IndexScanCommand

    public IndexScanCommand(java.lang.String keyspace,
                            java.lang.String column_family,
                            IndexClause index_clause,
                            SlicePredicate predicate,
                            AbstractBounds range)

Method Detail

### getMessage

    public Message getMessage(java.lang.Integer version)

  Specified by:
    `getMessage` in interface `MessageProducer`

### read

    public static IndexScanCommand read(Message message)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation